Subject: [PATCH 1/5] ARM: OMAP2+: gpmc: Fix kernel BUG for DT boot mode

From: [email-masked] (Tony Lindgren)
Date: Tue, 16 Oct 2012 10:48:36 -0700

* Richard Cochran <[email-masked]> [121015 12:18]:
> From: hvaibhav at ti.com <[email-masked]>
> 
> With recent changes in omap gpmc driver code, in case of DT
> boot mode, where bootloader does not configure gpmc cs space
> will result into kernel BUG() inside gpmc_mem_init() function,
> as gpmc cs0 gpmc_config7[0].csvalid bit is set to '1' and
> gpmc_config7[0].baseaddress is set to '0' on reset.
> 
> This use-case is applicable for any board/EVM which doesn't have
> any peripheral connected to gpmc cs0, for example BeagleXM and
> BeagleBone, so DT boot mode fails.
> 
> This patch adds of_have_populated_dt() check before creating
> device, so that for DT boot mode, gpmc probe will not be called
> which is expected behavior, as gpmc is not supported yet from DT.

I'm applying this one into omap-for-v3.7-rc1/fixes-part2.

Next time, please also cc linux-omap at vger.kernel.org for series
like this. I'm sure the people reading the omap list are interested
in these.

Regards,

Tony